QGIS Application - Bug report #16115
different (wrong) output of 'join attributes by location' when used in graphical modeller
2017-01-26 12:26 AM - Pieter Brusselman

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.18.2 Regression?: No
Operating System: windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24027
Description

It is a similar bug like #16111. When doing spatial analysis within a model it produces a wrong result. When doing it by hand it works.

The case:

| have 3 layers

- points (located along/nearby lines)
- linestrings

- polygon

1/ 1 make a buffer (10m) of the polygon layer

2/ 1do a spatial join from points and buffered polygons (take summary of intersecting features, statistic = mean)

3/ I make a slight buffer (0,5m)of the enriched points to make sure they will overlap the corresponding line

4/ | do a spatial join from the lines with the buffered points (take summary of intersecting features, statistic = mean)

Result: all statistics have null value.

When | take the buffered points as the outcome of the model and do the spatial join with the linestrings by hand, | get the right results.

Related issues:
Related to QGIS Application - Bug report # 16111: different (wrong) output of... Closed 2017-01-25

History

#1 - 2017-01-26 01:44 AM - Pieter Brusselman

When removing unvalid geometries (by hand or implemented in the model) then it works.

But when joining by hand (without removing unvalid geometries) there is no problem.

| think the behaviour of doing it in a model or doing it by hand should be the same.

#2 - 2017-03-07 03:33 AM - Giovanni Manghi
- Priority changed from High to Normal
- Status changed from Open to Feedback

Please attach sample project/data.

#3 - 2017-04-20 12:31 AM - Alexander Bruy
- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.
